'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var react = require('react');

var useScrollock = function (options) {
    var _a = options || {}, ref = _a.ref, _b = _a.disableHorizontalScroll, disableHorizontalScroll = _b === void 0 ? true : _b, _c = _a.disableVerticalScroll, disableVerticalScroll = _c === void 0 ? true : _c, _d = _a.padScrollbarSpace, padScrollbarSpace = _d === void 0 ? false : _d;
    var _e = react.useState(false), scrollock = _e[0], setScrollock = _e[1];
    var innerRef = react.useRef();
    var toggleScrollock = function (value) {
        return setScrollock(value ? value : !scrollock);
    };
    // checks if the ref was provided or not & set it or just assign body.
    react.useEffect(function () {
        innerRef.current = (ref === null || ref === void 0 ? void 0 : ref.current) ? ref === null || ref === void 0 ? void 0 : ref.current : document.getElementsByTagName("body")[0];
    }, [ref]);
    var disableScroll = react.useCallback(function (e) {
        e.preventDefault();
        return false;
    }, []);
    var disableTouch = react.useCallback(function (e) {
        // checks if the user is using 2 or more fingers, ex. to perform pintch to zoom.
        if (e.touches.length)
            return true;
        e.preventDefault();
        return false;
    }, []);
    react.useEffect(function () {
        var body = innerRef.current;
        body.style.paddingRight = !padScrollbarSpace
            ? "0px"
            : (!scrollock ? 0 : window.innerWidth - body.offsetWidth) + "px";
        body.style.overflowY =
            scrollock && disableVerticalScroll ? "hidden" : "auto";
        body.style.overflowX =
            scrollock && disableHorizontalScroll ? "hidden" : "auto";
        if (scrollock) {
            body.addEventListener("touchmove", disableTouch, { passive: false });
            body.addEventListener("scroll", disableScroll, { passive: false });
        }
        else {
            body.removeEventListener("touchmove", disableTouch);
            body.removeEventListener("scroll", disableScroll);
        }
        return function () {
            body.style.paddingRight = "0px";
            body.style.overflowY = "auto";
            body.style.overflowX = "auto";
            body.removeEventListener("touchmove", disableTouch);
            body.removeEventListener("scroll", disableScroll);
        };
    }, [scrollock]);
    return { scrollock: scrollock, toggleScrollock: toggleScrollock };
};

exports.default = useScrollock;
exports.useScrollock = useScrollock;
//# sourceMappingURL=index.js.map
